//*****************************************************************************
//C O N F I G - B E G I N                                                    **
//*****************************************************************************
// Your WiFi config here:
char host[] = "MATRIX_4x4";               // Hostname & MQTT Client ID & MQTT TOPIC
char ssid[] = "ssid";       // your network SSID (name)
char pass[] = "password";             // your network password
bool STATIC = false;                   // Static IP for STA Mode?   [false/true]
// Static IP:
IPAddress ip(192,168,178,212);        // Static IP
IPAddress gw(192,168,178,1);          // Static Gateway/DNS
IPAddress su(255,255,255,0);          // Static Subnet Mask

//*****************************************************************************
// HTTP Server Port:
char HSRPRT = 9724;                   //Port des Schaltservers

//*****************************************************************************
// Your MQTT Client config here:
bool EXSERV = true;                   // Connect to a MQTT Server? [false/true]
char EXMQ[] = "192.168.178.10";       // MQTT Server IP
int  EXMPRT = 1884;                   // MQTT Server Port          [1883]
char Val1[] = "true";                 // Value if Button pressed
bool B_RST = false;                    // Automatic Reset to false [false/true]
char Val0[] = "false";                // Value Button reset by delay
int B_Delay = 500;                    // Automatic Delay Reset

//*****************************************************************************
// Keyboard Settings:
const byte ROWS = 4;                    //four rows
const byte COLS = 4;                    //three columns
//define the symbols on the buttons of the keypads:
char keys[ROWS][COLS] = {    
  {'A','B','C','D'},
  {'3','6','9','#'},
  {'2','5','8','0'},
  {'1','4','7','*'}
};
byte rowPins[ROWS] = {2, 0, 4, 5}; //connect to the row pinouts of the keypad
byte colPins[COLS] = {15, 13, 12, 14};       //connect to the column pinouts of the keypad
// Key's - Link - Target's:
char KEY_1[] = "http://192.168.178.15/cm?cmnd=Power%20Toggle";    //Geraet1
char KEY_2[] = "http://192.168.178.23/cm?cmnd=Power%20Toggle";    //Geraet2
char KEY_3[] = "http://192.168.178.38/cm?cmnd=Power%20Toggle";    //Geraet3
char KEY_4[] = "http://192.168.178.30/cgi-bin/query.sh?4";
char KEY_5[] = "http://192.168.178.30/cgi-bin/query.sh?5";
char KEY_6[] = "http://192.168.178.30/cgi-bin/query.sh?6";
char KEY_7[] = "http://192.168.178.30/cgi-bin/query.sh?7";
char KEY_8[] = "http://192.168.178.30/cgi-bin/query.sh?8";
char KEY_9[] = "http://192.168.178.30/cgi-bin/query.sh?9";
char KEY_0[] = "http://192.168.178.30/cgi-bin/query.sh?0";
// For #:
char KEY_A2[] = "http://192.168.178.30/cgi-bin/query.sh?#";
// For *:
char KEY_B2[] = "http://192.168.178.30/cgi-bin/query.sh?*";
char KEY_A[] = "http://192.168.178.30/cgi-bin/query.sh?A";
char KEY_B[] = "http://192.168.178.30/cgi-bin/query.sh?B";
char KEY_C[] = "http://192.168.178.30/cgi-bin/query.sh?C";
char KEY_D[] = "http://192.168.178.30/cgi-bin/query.sh?D";

//*****************************************************************************
// Serial Debug
bool SERIAL_DEBUG = true;             // Enable/disable Debugging  [false/true]
